## com.sun.jna.platform.win32
Class W32API.LONG_PTR

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.W32API.LONG_PTR

All Implemented Interfaces:
  com.sun.jna.NativeMapped, java.io.Serializable

Direct Known Subclasses:
  W32API.LPARAM, W32API.LRESULT, W32API.SSIZE_T

Enclosing interface:
  W32API

    public static class W32API.LONG_PTR

extends com.sun.jna.IntegerType

See Also:
  Serialized Form

Constructor Summary
`W32API.LONG_PTR()`
`W32API.LONG_PTR(long value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### W32API.LONG_PTR

    public W32API.LONG_PTR()

### W32API.LONG_PTR

    public W32API.LONG_PTR(long value)